Subject: OMAP baseline test results for v3.7-rc3

From: [email-masked] (Vaibhav Hiremath)
Date: Tue, 30 Oct 2012 20:18:26 +0530

On 10/30/2012 6:09 PM, Hiremath, Vaibhav wrote:
> On Tue, Oct 30, 2012 at 17:17:00, Paul Walmsley wrote:
>> cc Vaibhav Hiremath
>>
>> On Tue, 30 Oct 2012, Mark Jackson wrote:
>>
>>> At what point is booting from MMC on the BeagleBone going to start working ?
>>>
>>> I only ask, since, by default, a new BeagleBone is setup to boot from 
>>> MMC, so anyone testing a new kernel will probably expect the same setup 
>>> to work.
>>
>> BeagleBone boots initramfs from MMC now, which is what mine was shipped to 
>> do.  Are you asking about rootfs on MMC?  If so, Vaibhav would have a 
>> better sense of this than I.
>>
> 
> Mark,
> 
> MMC is dependent on EDMA-DMA conversion patches from Matt, which he has 
> already submitted to the list recently. So MMC support will come along with
> EDMA support. DMA-EDMA patches are targeted for v3.8, lets see how it goes.
> 
> 
> If you refer to the Matt's repo, you should get all the patches required to 
> boot MMC support -
> 
> https://github.com/ohporter/linux/tree/edma-dmaengine-am33xx-v3
> 
> 

I just tested this branch (+ one fix which Matt provided [1]) on
BeagleBone, and MMC is working without any issues. I have tested with
rootFS on MMC card.

[1] - http://www.spinics.net/lists/linux-omap/msg79911.html

Thanks,
Vaibhav
> 
> Thanks,
> Vaibhav
> 
> 
> _______________________________________________
> linux-arm-kernel mailing list
> linux-arm-kernel at lists.infradead.org
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel
>